#include "http_loop.h"
#include "string.h"

void http_loop_write_standard_response(event_loop_conn *conn,
                                       http_response_type type) {
  const char *s;
  size_t len;

  switch (type) {
  case 404:
    s = http_404;
    len = http_404_len;
    break;
  case 405:
    s = http_405;
    len = http_405_len;
  case 501:
    s = http_501;
    len = http_501_len;
  }

  memcpy(conn->wbuf, s, len);

  conn->state = event_loop_conn_state_res;
  conn->wbuf_size = len;
  conn->wbuf_sent = 0;
}
